package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.RmsReceivingCompanyService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author xiaosh
 */
@RestController
@RequestMapping("${api.version}/rmsReceivingCompany")
public class RmsReceivingCompanyController {

    @Resource(name = "rmsReceivingCompanyService1")
    private RmsReceivingCompanyService rmsReceivingCompanyService;

    @ApiOperation(value = "查询收款客户")
    @PostMapping("/name")
    public List<String> queryRmsReceivingCompanyName(){
        return rmsReceivingCompanyService.queryRmsReceivingCompanyName();
    }

    @ApiOperation(value = "查询收款客户")
    @PostMapping("/map")
    public List<Map<String, Object>> queryRmsReceivingCompanyMap(){
        return rmsReceivingCompanyService.queryRmsReceivingCompanyMap();
    }
    }
