package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.DilCidCapacity;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface DilCidCapacityMapper extends IBaseMapper<DilCidCapacity, BigDecimal> {

    @Select("select seq_dil_cid_capacityNo.nextval from dual")
    BigDecimal getCidMax();

    Integer selectByCidAndCapacityNo(String cid, String capacityNo);
}