package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsReceivingCompany;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;


import java.math.BigDecimal;
import java.util.List;

/**
 * @author xiaosh
 */
@Mapper
public interface RmsReceivingCompanyMapper extends IBaseMapper<RmsReceivingCompany, BigDecimal> {
    /**
     * 查询所有收款客户
     * @return 收款客户列表
     */
    List<RmsReceivingCompany> selectAll();
}
